.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    font-family: "Poppins";
    font-weight: 500;
    background: rgba(22,22,22,.8);
    z-index: 1000
}

.modal_dialog {
    overflow-x: hidden;
    overflow-y: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 20px;
    width: 100%;
    height: 100%
}

.modal_content {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 360px;
    min-height: 180px;
    max-height: 100%;
    border-radius: 6px;
    box-shadow: 0 0 4px rgba(0,0,0,.1)
}

.modal_header {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 0 0 1px;
    height: 49px;
    background: #fff
}

.modal_header::after {
    content: "";
    display: block;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 1px;
    background: #e8e8e8
}

.modal_title {
    font-size: 15px
}

.modal_body {
    overflow-x: hidden;
    overflow-y: auto;
    flex: 1 1 auto;
    background: #fff
}

.modal_body .inner {
    overflow-x: hidden;
    overflow-y: auto;
    position: relative
}

.modal_footer {
    flex-shrink: 0
}

.modal_actions {
    display: flex
}

.modal_actions a {
    flex: 1 1 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 56px;
    font-size: 15px
}

.modal_actions .btn_primary {
    color: #fff;
    background: #007EFF;
}

.modal_actions .btn_secondary {
    color: #007EFF;
    background: #e0ecf9
}

.modal-backdrop {
    display: none;
}

.modal .msg_box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 35px 20px;
    min-height: 135px;
    text-align: center
}

.modal .msg_box .strong {
    font-size: 15px;
    line-height: 1;
    color: #FF5E2F;
}

.modal .msg_box .text {
    font-size: 15px;
    line-height: 22px
}

.modal .msg_box .text-strong {
    font-weight: 500;
    font-size: 16px;
    line-height: 22px
}

.modal .msg_box .text-strong-blue {
    font-weight: 500;
    color: #007EFF;
    font-size: 16px;
    line-height: 22px;
}

.modal .msg_box .text-grey {
    color: #454545;
    font-size: 15px;
    line-height: 22px;
}

.modal .msg_box .text-s-black {
    color: #000000;
    font-size: 13px;
    line-height: 22px;
}

.modal .msg_box .event_box .left-align {
    text-align: left
}

.modal .msg_box .text-option {
    color: #7A7A7A;
    font-size: 12px;
    margin: 0;
    line-height: 22px;
}

.modal .msg_box .text:nth-child(n+2) {
    margin-top: 12px
}

.modal .msg_box .strong+.text {
    margin-top: 22px !important
}

.modal .msg_box .event_box {
    border-radius: 6px;
    background-color: #F2F6FA;
    padding: 20px;
}

.modal.show {
    display: block
}

.open_modal {
    overflow: hidden
}

.modal.policy .modal_body {
    overflow-x: hidden;
    overflow-y: auto;
    padding: 16px;
    max-height: calc(100vh - 145px);
    text-align: left
}
